Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1606629

Summary: utrac: FTBFS in Fedora rawhide
Product: [Fedora] Fedora Reporter: Mohan Boddu <mboddu>
Component: utracAssignee: Gwyn Ciesla <gwync>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: gwync
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-07-24 22:47:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1551327, 1602938    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Mohan Boddu 2018-07-20 20:55:45 UTC
utrac failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28238397


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix utrac at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
utrac will be orphaned. Before branching of Fedora 30,
utrac will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 20:55:52 UTC
Created attachment 1468817 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 20:55:57 UTC
Created attachment 1468818 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 20:55:59 UTC
Created attachment 1468819 [details]
state.log

Comment 4 Igor Raits 2018-07-23 10:53:25 UTC
Matches:
make: gcc: Command not found

Suggested fix:
BuildRequires:  gcc

Comment 5 Igor Raits 2018-07-24 22:47:54 UTC
There has been at least one successfull build after this bug got created.

utrac-0.3.0-27.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1126643